﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace DLVRNewDemo
{
    public class Commands:ICommand
    {
        private Action<object> exceute;
        private Func<object, bool> canExecute;
        public Commands(Action<object> executeAction)
        {
            this.exceute = executeAction;
        }
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            if(this.exceute != null)
            {
                this.exceute(parameter);
            }
        }
    }
}
