﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;

namespace DLVRNewDemo.Models
{
    public class TestModel
    {
        public string PostionNumber { get; set; }
        public string PositionTitle { get; set; }
        public string BusinesUnitName { get; set; }
        public string Scope { get; set; }
        public string IncumbentName { get; set; }
        public string JobDescription { get; set; }
        public string NumberOfIncumbents { get; set; }
        public string NumberOfCompanies { get; set; }
        public List<CompenstaionComponent> CompenstaionComponent { get; set; }
        public Dictionary<int, List<CalculationComponents>> CalculationComponent { get; set; }

        public TestModel()
        {
            this.PostionNumber = "12345-A";
            this.PositionTitle = "Test Report";
            this.BusinesUnitName = "Business Unit Name";
            this.Scope = "Scope";
            this.IncumbentName = "Akshay";
            this.JobDescription = "Test Job Description";
            this.NumberOfCompanies = "40";
            this.NumberOfIncumbents = "50";
            this.CompenstaionComponent = new List<CompenstaionComponent>();
        }
    }

    public class CompenstaionComponent
    {
        public int Id { get; set; }
        public string ComponentName { get; set; }
        public ObservableCollection<CalculationComponents> CalcComponents { get; set; }
        public ObservableCollection<CalculationComponents> CalcComponents1 { get; set; }
    }

    public class CalculationComponents
    {
        public string Name { get; set; }
        public string value { get; set; }
        public bool IsSelected { get; set; }
    }
}
